curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine/image-to-video",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Camera dollies in slowly, subject turns head",
"imageUrls": [
"https://example.com/portrait-a.jpg",
"https://example.com/portrait-b.jpg"
],
"duration": 10,
"ratio": "9:16",
"mode": "normal"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}
Grok Imagine Image-to-Video — Guide a video with reference images (xAI)
curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine/image-to-video",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Camera dollies in slowly, subject turns head",
"imageUrls": [
"https://example.com/portrait-a.jpg",
"https://example.com/portrait-b.jpg"
],
"duration": 10,
"ratio": "9:16",
"mode": "normal"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}
Generate a video guided by 1-5 reference images plus a text prompt.Documentation Index
Fetch the complete documentation index at: https://docs.maxapi.io/llms.txt
Use this file to discover all available pages before exploring further.
grok-imagine/image-to-video — $0.007 per second of generated video.
grok-imagine/image-to-video.Hide properties
6, 10, 12, 16, 20. Default: 6.1:1, 16:9, or 9:16. Default: 9:16.480p or 720p. Default: 720p.fun, normal, spicy, or custom. Default: custom.curl --request POST \
--url https://api.maxapi.io/api/v1/task/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-imagine/image-to-video",
"callBackUrl": "https://example.com/webhook",
"input": {
"prompt": "Camera dollies in slowly, subject turns head",
"imageUrls": [
"https://example.com/portrait-a.jpg",
"https://example.com/portrait-b.jpg"
],
"duration": 10,
"ratio": "9:16",
"mode": "normal"
}
}'
{
"code": 0,
"msg": "ok",
"data": {
"taskId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}